Subject: [ippm] Fw: New Version Notification for draft-ietf-ccamp-lsp-dppm-08

From: "Weiqiang Sun" <[email-masked]>
Date: Tue, 8 Sep 2009 14:26:42 +0800

All,

A new version of the DPPM draft has been uploaded.

In this revision there is one technical change in 14.3. This change is made 
based on the discussion between Reinhard Schrage and us. In the original 
text, we used the percentile definition in RFC 2681. Reinhard suggested the 
current definition, which is detailed in RFC 2330. We believe that the 
current definition is more clear and easy to understand. The change is 
summarized below.

We would again hand this draft back to Lou and Deborah for further 
processing. The authors believe that a second WGLC might not be necessary, 
since the two definitions yield similar results on large measurements.

Original text:
---------------------
14.3.  The percentile of Metric

   The percentile of Metric is defined as: given a metric and a percent
   X between 0% and 100%, the Xth percentile of all the dT values in the
   sample."  In addition, the percentile is undefined if the sample is
   empty.

   Example: suppose we take a sample and the results are: Stream1 = <
   <T1, 100 msec>, <T2, 110 msec>, <T3, undefined>, <T4, 90 msec>, <T5,
   500 msec> >

   Then the 50th percentile would be 110 msec, since 90 msec and 100
   msec are smaller, and 110 and 500 msec are larger (undefined values
   are not counted in).

---------------------

New text:
---------------------
14.3.  The percentile of Metric

   The "empirical distribution function" (EDF) of a set of scalar
   measurements is a function F(x) which for any x gives the fractional
   proportion of the total measurements that were <= x.

   Given a percentage X, the X-th percentile of Metric means the
   smallest value of x for which F(x) >= X. Undefined values
   MUST NOT be counted in.

   See RFC2330 for further details.
---------------------

Thanks and best regards,
Weiqiang

--------------------------------------------------
From: "IETF I-D Submission Tool" <[email-masked]>
Sent: Tuesday, September 08, 2009 2:03 PM
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>; 
<[email-masked]>; <[email-masked]>; <[email-masked]>; 
<[email-masked]>; <[email-masked]>
Subject: New Version Notification for draft-ietf-ccamp-lsp-dppm-08

>
> A new version of I-D, draft-ietf-ccamp-lsp-dppm-08.txt has been 
> successfuly submitted by Weiqiang Sun and posted to the IETF repository.
>
> Filename: draft-ietf-ccamp-lsp-dppm
> Revision: 08
> Title: Label Switched Path (LSP) Dynamic Provisioning Performance Metrics 
> in Generalized MPLS Networks
> Creation_date: 2009-09-08
> WG ID: ccamp
> Number_of_pages: 49
>
> Abstract:
> Generalized Multi-Protocol Label Switching (GMPLS) is one of the most
> promising candidate technologies for future data transmission
> network.  GMPLS has been developed to control and operate different
> kinds of network elements, such as conventional routers, switches,
> Dense Wavelength Division Multiplexing (DWDM) systems, Add- Drop
> Multiplexers (ADMs), photonic cross-connects (PXCs), optical cross-
> connects (OXCs), etc.  Dynamic provisioning ability of these
> physically diverse devices differs from each other drastically.  At
> the same time, the need for dynamically provisioned connections is
> increasing because optical networks are being deployed in metro
> areas.  As different applications have varied requirements in the
> provisioning performance of optical networks, it is imperative to
> define standardized metrics and procedures such that the performance
> of networks and application needs can be mapped to each other.
>
> This document provides a series of performance metrics to evaluate
> the dynamic LSP provisioning performance in GMPLS networks,
> specifically the dynamic LSP setup/release performance.  These
> metrics can depict the features of GMPLS networks in LSP dynamic
> provisioning.
>
>
>
> The IETF Secretariat.
>
>
>

---

From: Lou Berger <[email-masked]>
Date: Tue, 08 Sep 2009 16:51:10 -0400

Weiqiang,
	Thank you for addressing the detailed comments.  Given the number of
differences from the previously last called version (05), I think it
best to hold a second last call.  I'll send the announcement in a
separate message to just the ccamp WG.  I think it would be helpful if
you followed up the announcement with a summary of the changes from the
previously last called rev.

For convenience, here's the url to see the diff:
http://tools.ietf.org/rfcdiff?difftype=--hwdiff&url1=draft-ietf-ccamp-lsp-dppm-05.txt&url2=draft-ietf-ccamp-lsp-dppm-08.txt

Lou

On 9/8/2009 2:26 AM, Weiqiang Sun wrote:
> In this revision there is one technical change in 14.3. This change is
> made based on the discussion between Reinhard Schrage and us. In the
> original text, we used the percentile definition in RFC 2681. Reinhard
> suggested the current definition, which is detailed in RFC 2330. We
> believe that the current definition is more clear and easy to
> understand. The change is summarized below.
> 
> processing. The authors believe that a second WGLC might not be
> necessary, since the two definitions yield similar results on large
> measurements.
> 
> Original text:
> ---------------------
> Cc: <[email-masked]>; <[email-masked]>;
> <[email-masked]>; <[email-masked]>; <[email-masked]>;
> <[email-masked]>; <[email-masked]>; <[email-masked]>
>> Title: Label Switched Path (LSP) Dynamic Provisioning Performance
>> Metrics in Generalized MPLS Networks